Please note that the screenshots are for explanatory purposes. Content look may change.



1. Update your WordPress installation.


Please go to updates in your main WP navigation menu and update WordPress.

 

See the screenshot below:





2. Fill in the purchase information


Please go to Dashboard > Vamtam > Register, fill in the purchase code and click on "Register". 

Please check this article if you don't know where to get Your Item Purchase Key from




Notice:

If you can't locate the Vamtam tab, you're most probably running an older theme version. The "Purchase code" field is available under Appearance > VamTam Theme Setup:





3. Update the Theme


Please go to updates in your main WP navigation menu and you will see the new theme version. Update. 


See the screenshot below:




In case you still don't see any available updates, please reload the Dashboard > Updates page twice in order to force WordPress to check for updates.



4. Update the plugins including the bundled one


After updating the theme go again to updates in your main WP navigation menu and update all plugins that need to be updated.

 

See the screenshot below:

 



In case you still don't see any available updates, please reload the Dashboard> Updates page twice in order to force WP to check for updates.


 

Important


The updates are essential as we fix bugs, provide new features and improvements and make the theme compatible with newer WordPress versions.


Remember to make a backup, just in case anything goes wrong or you've made a mistake during the update process.


Your theme options and the content will not be affected by the update.

Any modifications made to the theme files will be overwritten after an automatic update if you haven't used a child theme or the Custom CSS area in General Settings.


If it's your first time installing a theme, check this guide - Installation guide



Troubleshooting


Most often the issues you have related to the update process are due to one of the following reasons:

 

Incompatible plugins

If you are running plugins that do not come and are not supported by the theme make sure that they are compatible with the WordPress version you are about to update/install. In case the updates don't fix the issue you encounter then deactivate the plugins that don't come with the theme and test.


Old plugin version

Make sure that all plugins you are running are up to date and they are compatible with the latest theme version and the latest  WordPress version.

Complete the points 2,4,5 of this guide.



Using FTP to update the theme

The bundled plugins cannot be updated using FTP, in case you've chosen this way, now you have to switch to automatic update in order to update the plugins that come bundled with the theme. Complete the points 2 and 4 of this guide.


Renamed theme folder 

If you change the theme folder name, the automatic update feature will stop function. 


style.css has been changed

If you change the information in this file, the automatic update feature will stop function. Please restore the original version and make sure the theme version number is not the latest.